import request from '@/utils/request'

// 查询主管任务查询列表
export function listUserSummary(query) {
  return request({
    url: '/sfa/userSummary/list',
    method: 'post',
    data: query
  })
}

// 查询主管任务查询详细
export function getUserSummary(userSummaryId) {
  return request({
    url: '/sfa/userSummary/' + userSummaryId,
    method: 'get'
  })
}

// 新增主管任务查询
export function addUserSummary(data) {
  return request({
    url: '/sfa/userSummary',
    method: 'post',
    data: data
  })
}

// 修改主管任务查询
export function updateUserSummary(data) {
  return request({
    url: '/sfa/userSummary',
    method: 'put',
    data: data
  })
}
export function editAnswer(data) {
  return request({
    url: '/sfa/userSummary/editAnswer',
    method: 'post',
    data: data
  })
}
// 删除主管任务查询
export function delUserSummary(userSummaryId) {
  return request({
    url: '/sfa/userSummary/' + userSummaryId,
    method: 'delete'
  })
}
